Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] lisp tự tăng tới số cho trước và lập lại tăng dần


  • Please log in to reply
5 replies to this topic

#1 tonyhoang

tonyhoang

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 May 2012 - 04:57 PM

Hi các pác !
tình hình là trên diễn dàn mình có rất nhìu líp đánh số thứ tự. e post bài này mong các pác chỉ giáo thêm. e cần 1 líp số tự tăng và tới số mình quy định thì quay trở lại. nói dài dòng khó hỉu, e VD như sau:

e có số bắt đầu là 101, và nó sẽ tăng tới 124 or 148 thì sẽ tăng lên là 201. tiếp tục tăng tới 224 or 248, và như vậy cứ thế cho đến hết các text đã chọn.

xin nhờ các pác cao thủ chỉ giáo. thanks all. :mellow: . http://www.cadviet.c...464_v_final.dwg
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 11 May 2012 - 05:03 PM

File lỗi :), yêu cầu chưa rõ ràng. Bạn chọn 1 dãy text, nhập số bắt đầu, nhập số tăng (101-> 148), vậy từ 148 ->201 là theo quy luật nào ? Số bắt đầu + thêm 100 à ?
Bạn xem ví dụ :

(defun c:ts(/ i0 ic inc it)
(vl-load-com)
(if (ssget '((0 . "*TEXT")))
(progn
(setq
i0 (1- (getint "\nSo bat dau :")) it i0
ic (getint "\nSo dung lai :")
inc 100 ;thay so 100 bang (getint "\nGia so :") neu muon nhap
)
(vlax-for objTxt (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object)))
(if (< i0 ic)(setq i0 (1+ i0))
(setq it (+ inc it) i0 (1+ it) ic (+ ic inc))
)
(vla-put-textstring objTxt i0)
)
)
)
)

  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 tonyhoang

tonyhoang

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 May 2012 - 02:04 PM

oh thanks bạn nhìu, để mình test thử xem sao :)

về quy luật tằng thì giống như cái đồng hồ vậy đó. cứ tăng tới 48 (hàng chục) thì số hàng trăm tăng lên thêm 1, cứ như thế tăng dần.
  • 0

#4 tonyhoang

tonyhoang

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 May 2012 - 02:11 PM

ok bạn ơi nhưng khi thực hiện lệnh xong thì nó bị mất text mình đánh lúc đầu. với lại mình update cho nó có thể chỉnh tọa độ tăng lên (theo X, Y hay cả XY) chọn xuất hiện sau text hay trước text. giống như lệnh tcount của cad vậy đó.
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 May 2012 - 03:25 PM

ok bạn ơi nhưng khi thực hiện lệnh xong thì nó bị mất text mình đánh lúc đầu. với lại mình update cho nó có thể chỉnh tọa độ tăng lên (theo X, Y hay cả XY) chọn xuất hiện sau text hay trước text. giống như lệnh tcount của cad vậy đó.

File lỗi, mình đã nhắc nhưng bạn k sửa nên k biết ý đồ của bạn, cũng chính vì vậy nên :
Mục đỏ : giữ được
Mục xanh : bạn cứ việc update, mình có than phiền gì đâu :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 tonyhoang

tonyhoang

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 May 2012 - 03:29 PM

HEHEHE. BAN GIUP MINH NHE, MINH KHONG BIT LISP
DE MINH UP FILE LAI XEM SAO

http://www.cadviet.c...4_v_final_1.dwg
  • 0